Bug 236894 - CVE-2007-0243 GIF buffer overflow
CVE-2007-0243 GIF buffer overflow
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.5.0-ibm (Show other bugs)
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Thomas Fitzsimmons
: Security
Depends On:
Blocks: 237281 237313
  Show dependency treegraph
Reported: 2007-04-18 06:12 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0167
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-25 12:48:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-04-18 06:12:49 EDT
In January 2007 a flaw was found affecting the SUN JRE; "Buffer overflow in Sun
JDK and Java Runtime Environment (JRE) 5.0 Update 9 and earlier, SDK and JRE
1.4.2_12 and earlier, and SDK and JRE 1.3.1_18 and earlier allows applets to
gain privileges via a GIF image with a block with a 0 width field, which
triggers memory corruption."

On 17th April 2007 IBM updated their alerts page to note that this issue
affected the IBM JRE and was fixed in 1.5.0SR4

Also affects RHEL4Extras
Comment 1 Thomas Fitzsimmons 2007-04-18 13:58:59 EDT
I've requested updated tarballs from my IBM contact.  I'll see if I can get what
I need from the public IBM site in the mean time.
Comment 4 Red Hat Bugzilla 2007-04-25 12:48:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.